using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace FiltronASP.Models.DAO.Interfaces.WIX
{
    public interface IWixFilterEngineCommentsDAO : IGenericDAO<WixFilterEngineComment, System.Nullable<int>>
    {
        IQueryable<WixFilterEngineComment> FindByFilterEngineId(int filterEngineId);
        IQueryable<WixFilterEngineComment> FindByFilterEngineIdOnlyDescription(int filterEngineId);
        IQueryable<WixFilterEngineComment> FindByFilterEngineIdAndDate(int filterEngineId, string infoYears);
        int[] FindByFilterEngineIdOnlyDate(int filterEngineId);
        Dictionary<string, int[]> FindByFilterEngineIdDescAndYear(int filterEngineId);
    }
}
